<?php
// don't ever call this file directly!
if( strpos( $_SERVER["REQUEST_URI"], 'index-install.php' ) ) {
	header( "Location: index.php" );
	exit();
}
if( $_SERVER[ 'HTTP_HOST' ] == 'localhost' ) {
	die( "<h2>Attention !</h2><p>L'installation locale sur http://localhost/ n'est pas support&eacute;e. Merci d'utiliser <a href='http://localhost.localdomain/'>http://localhost.localdomain/</a> &agrave; la place.</p>" );
}
define('WP_INSTALLING', true);

$dirs = array( dirname(__FILE__), dirname(__FILE__) . "/wp-content/" );

function printheader() {
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
        <title>WordPress &micro; &rsaquo; Installation</title>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <style media="screen" type="text/css">
        html {
                background: #eee;
        }
        body {
                background: #fff;
                color: #000;
                font-family: Georgia, "Times New Roman", Times, serif;
                margin-left: 20%;
                margin-right: 20%;
                padding: .2em 2em;
        }
        
        h1, h2 {
                color: #006;
                font-size: 18px;
                font-weight: lighter;
        }
        
        p, li, dt {
                line-height: 140%;
                padding-bottom: 2px;
        }

        ul, ol {
                padding: 5px 5px 5px 20px;
        }
        #logo {
                margin-bottom: 2em;
        }
		.step a, .step input {
		        font-size: 2em;
		}
		.step, th {
		        text-align: right;
		}
		#footer {
		text-align: center; border-top: 1px solid #ccc; padding-top: 1em; font-style: italic;
		}
		.fakelink {
		    color: #00a;
		    text-decoration: underline;
		}
        </style>
</head>
<body>

<h1><img src="wp-includes/images/wordpress-mu.png" alt="WordPress &micro;" /></h1>
<?php
}

function filestats( $err ) {
	print "<h1>Sommaire du serveur</h1>";
	print "<p>Si vous écrivez un message sur le forum de support MU à l'adresse <a target='_blank' href='http://mu.wordpress.org/forums/'>http://mu.wordpress.org/forums/</a> et copier/coller les informations suivantes dans votre message:</p>";

	print "<blockquote style='background: #eee; border: 1px solid #333; padding: 5px;'>";
	print "<br /><strong>Erreur: $err</strong><br />";
	clearstatcache();
	$files = array( "htaccess.dist", ".htaccess" );
	foreach ( (array) $files as $val ) { 
		$stats = @stat( $val );
		if( $stats ) {
			print "<h2>$val</h2>";
			print "&nbsp;&nbsp;&nbsp;&nbsp;uid/gid: " . $stats[ 'uid' ] . "/" . $stats[ 'gid' ] . "<br />\n";
			print "&nbsp;&nbsp;&nbsp;&nbsp;taille: " . $stats[ 'size' ] . "<br />";
			print "&nbsp;&nbsp;&nbsp;&nbsp;permission " . substr( sprintf('%o', fileperms( $val ) ), -4 ) . "<br />";
			print "&nbsp;&nbsp;&nbsp;&nbsp;lecture: ";
			print is_readable( $val ) == true ? "oui" : "non";
			print "<br />";
			print "&nbsp;&nbsp;&nbsp;&nbsp;écriture: ";
			print is_writeable( $val ) == true ? "oui" : "non";
			print "<br />";
		} elseif( file_exists( $val ) == false ) {
			print "<h2>$val</h2>";
			print "&nbsp;&nbsp;&nbsp;&nbsp;Fichier introuvable: $val<br />";
		}
	}
	print "</blockquote>";
}

function do_htaccess( $oldfilename, $newfilename, $base, $url ) {
	// remove ending slash from $base and $url
	$htaccess = '';
	if( substr($base, -1 ) == '/') {
		$base = substr($base, 0, -1);
	}

	if( substr($url, -1 ) == '/') {
		$url = substr($url, 0, -1);
	}
	$err = '';
	if( is_file( $oldfilename ) ) {
		$fp = @fopen( $oldfilename, "r" );
		if( $fp ) {
			while( !feof( $fp ) )
			{
				$htaccess .= fgets( $fp, 4096 );
			}
			fclose( $fp );
			$htaccess = str_replace( "BASE", $base, $htaccess );
			if( touch( $newfilename ) ) {
				$fp = fopen( $newfilename, "w" );
				if( $fp ) {
					fwrite( $fp, $htaccess );
					fclose( $fp );
				} else {
					$err = "impossible d'ouvrir le fichier $newfilename en écriture";
				}
			} else {
				$err = "impossible d'ouvrir le fichier $newfilename en écriture";
			}
		} else {
			$err = "impossible d'ouvrir le fichier $oldfilename en lecture";
		}
	} else {
		$err = "$oldfilename introuvable";
	}

	if( $err != '' ) {
		print "<h1>Attention!</h1>";
		print "<p><strong>Il y a eu un problème lors de la création du fichier .htaccess.</strong> </p>";
		print "<p style='color: #900'>Erreur: ";
		if( $err == "impossible d'ouvrir le fichier $newfilename en écriture" ) {
			print "Impossible d'écrire dans le fichier $newfilename.";
		} elseif( $err == "impossible d'ouvrir le fichier $oldfilename en lecture" ) {
			print "Impossible de lire le fichier depuis $oldfilename. ";
		} elseif( $err == "$oldfilename introuvable" ) {
			print "Le fichier, $oldfilename, est manquant.";
		}
		print "</p>";
		filestats( $err );

		print '<p>Assurez vous que le serveur web peut écrire dans ce dossier.</p>';
		print "<p>Si vous utilisez Cpanel, prenez le temps de lire <a href='http://mu.wordpress.org/forums/topic.php?id=99'>ce sujet</a>. Cpanel créé des fichiers que vous devrez écraser pour corriger vos différents problèmes.</p>";
		print '<p>Si malgré tout ça en fonctionner, créer un fichier à la main:';
		print "<ul><li> Télécharger le fichier htaccess.dist sur votre ordinateur et ouvrer le avec votre éditeur de texte préféré.</li>
			<li> Remplacer le texte suivant:<ul><li>BASE par '$base'</li><li>HOST par '$url'</li></li>
			<li> Renommer le fichier htaccess.dist en .htaccess et envoyer le dans même dossier.</li></ul>";
		die( 'Installation annulée!' );
	}
}

function checkdirs() {
	global $dirs;

	$ret = true;
	$errors = array();
	foreach( (array) $dirs as $dir ) {
		if( false == is_writeable( $dir ) ) {
			$errors[] = $dir;
		}
	}

	if( !empty( $errors ) ) { 
		?>
		<h2>Attention!</h2>
		<div style='border: 1px solid #ccc'>
		<p style='font-weight: bold; padding-left: 10px'>Un ou plusieurs dossiers doivent être accessibles en écriture par votre serveur web. Rappelez-vous de réinitialiser les permissions à la fin de l'installation.<br>
		Merci d'appliquer la commande <code>chmod 777</code> ou <code>chown</code> pour rendre le ou les dossiers accessibles par l'utilisateur du serveur web (généralement nobody, apache, ou www-data)<br>
		Rafraichissez cette page une fois que c'est prêt !<br></p>
		</div>
		<p>Correction rapide:<br /> <code>chmod&nbsp;777&nbsp;<?php
		foreach( $errors as $dir ) {
			echo "$dir&nbsp;";
		}
		?></code></p><?php
		$ret = false;
	}
	if( file_exists( "./.htaccess" ) && is_writeable( "./.htaccess" ) == false ) {
		$ret = false;
		print "<h2>Attention! le fichier .htaccess existe déjà.</h2>";
		print "<div style='border: 1px solid #ccc'>";
		print "<p style='font-weight: bold; padding-left: 10px'>Un fichier nommé '.htaccess' existe déjà dans ce dossier et nous ne pouvons pas écrire dedans. Merci de vous connecter par FTP sur votre serveur, et d'effacer ce fichier du répertoire.<br />";
		print "Fichier en question: " . realpath( '.htaccess' ) . "</p>";
		print "</div>";
	}
	return $ret;
}

function step1() {
	?><h2>Installation de WordPress &micro;</h2>
	<p><strong>Bienvenue sur WordPress &micro;.</strong> Je vais vous aider à installer ce logiciel en vous posant plusieurs questions et éventuellement en vous demandant de modifier les permissions de certains dossiers pour que je puisse créer le fichier de configuration et les dossiers où seront stockées les données des blogs.</p>
	<p>Si vous avez déjà installé une version classique de WordPress auparavant, merci de noter que l'installation de WordPress &micro; est différente, tenter de créer un fichier de configuration (wp-config.php) à la main aura probablement comme conséquence d'avoir un site non fonctionnel. Le plus simple est d'utiliser l'assistant d'installation.</p>
	<h3>De quoi avons-nous besoin ?</h3>
	<p><ul><li>Un accès au serveur pour modifier les permissions. Cela peut être par SSH ou FTP par exemple.</li><li>Une adresse email valide où seront envoyés le mot de passe et les emails administratifs.</li><li>Une base de données MySQL vide. Les tables seront préfixées avec <code>wp_</code> ce qui peut créer un conflit avec une installation existante de WordPress.</li><li>La gestion complète des DNS (Wildcard dns records) si vous souhaitez travailler avec des hôtes virtuelles. Consultez le fichier <a href='http://trac.mu.wordpress.org/browser/trunk/README.txt'>README (en anglais)</a> pour davantage d'informations.</li></ul><p>
	<?php
	$mod_rewrite_msg = "<p>Si le module <code>mod_rewrite</code> est désactivé, demandez à votre administrateur serveur d'activer ce module, consultez la documentation d'<a href='http://httpd.apache.org/docs/mod/mod_rewrite.html'>Apache</a> ou cherchez <a href='http://www.google.com/search?q=apache+mod_rewrite'>ailleurs</a> pour vous aider à le mettre en place.</p>";
	if( function_exists( "apache_get_modules" ) ) {
		$modules = apache_get_modules();
		if( in_array( "mod_rewrite", $modules ) == false ) {
			echo "<p><strong>Attention !</strong> Il semble que le module mod_rewrite ne soit pas installé.</p>" . $mod_rewrite_msg;
		}
	} else {
		?><p>Merci de vérifier que le module <code>mod_rewrite</code> est bien installé et activé à la fin de l'installation.</p><?php
		echo $mod_rewrite_msg;
	}
	if( checkdirs() == false ) {
		return false;
	}

	// Create Blogs living area.
	@mkdir( dirname(__FILE__) . "/wp-content/blogs.dir", 0777 );

	$url = stripslashes( "http://".$_SERVER["SERVER_NAME"] . dirname( $_SERVER[ "SCRIPT_NAME" ] ) );
	if( substr( $url, -1 ) == '/' ) {
    $url = substr( $url, 0, -1 );
	}
	
	$base = stripslashes( dirname( $_SERVER["SCRIPT_NAME"] ) );
	if( $base != "/") {
		$base .= "/";
	}

	return true;
}

function printstep1form( $dbname = 'wordpress', $uname = 'username', $pwd = 'password', $dbhost = 'localhost', $vhost = 'yes', $prefix = 'wp_' ) {
	$weblog_title = 'Blogs ' . ucfirst( $_SERVER[ 'HTTP_HOST' ] );
	$email = '';
	$hostname = $_SERVER[ 'HTTP_HOST' ];
	if( substr( $_SERVER[ 'HTTP_HOST' ], 0, 4 ) == 'www.' )
		$hostname = str_replace( "www.", "", $_SERVER[ 'HTTP_HOST' ] );
    ?>
	<form method='post' action='index.php'> 
	<input type='hidden' name='action' value='step2'>
	<h2>Adresse des blogs</h2>
	<p>Merci de choisir le type de votre installation de WordPress &micro; entre les sous-domaines et les sous-répertoires. Vous ne pourrez pas le modifier par la suite. Nous vous recommandons les sous-domaines.</p>
	<p><label><input type='radio' name='vhost' value='yes' <?php if( $vhost == 'yes' ) echo 'checked '; ?> /> Sous-domaines (comme <code>blog1.exemple.com</code>)</label><br />
	<label><input type='radio' name='vhost' value='no' <?php if( $vhost == 'no' ) echo 'checked '; ?> /> Sous-répertoires (comme <code>exemple.com/blog1</code>)</label></p>

	<h2>Base de données</h2>
	<p>Merci d'entrer ci-dessous les informations de la base de données. Si vous n'êtes pas sûr, contactez votre hébergeur</p>
	<table cellpadding='5'> 
		<tr> 
			<th scope="row" width='33%'>Nom de la base</th> 
			<td><input name='dbname' type='text' size='45' value='<?php echo $dbname ?>' /></td>  
		</tr> 
		<tr> 
			<th scope="row">Identifiant</th> 
			<td><input name='uname' type='text' size='45' value='<?php echo $uname ?>' /></td> 
		</tr> 
		<tr> 
			<th scope="row">Mot de passe</th> 
			<td><input name='pwd' type='text' size='45' value='<?php echo $pwd ?>' /></td> 
		</tr> 
		<tr> 
			<th scope="row">Hôte de la base</th> 
			<td><input name='dbhost' type='text' size='45' value='<?php echo $dbhost ?>' /></td> 
		</tr>
	</table> 
	
	<h2>Adresse du serveur</h2>
	<p><label>Quel nom de domaine internet utilise votre site ?<br />Nous vous conseillons un nom de domaine le plus court possible. Par exemple, l'utilisation de <em>exemple.com</em> à la place de <em>www.exemple.com</em>. Si vous utilisez la forme d'adresse de blogs WPmu suivante <em>blogs.exemple.com</em>, vous devez entrer uniquement le domaine dans la case ci-dessous.<br /><b>Domaine du serveur:</b> <input type='text' name='basedomain' value='<?php echo $hostname ?>'></label></p>
	<h2>Détails du site</h2>
	<table width='100%'> 
		<tr> 
		<th scope="row">Titre du site</th> 
			<td><input name='weblog_title' type='text' size='45' value='<?php echo $weblog_title ?>' /></td> 
			<td>Comment voulez-vous appeler votre site ?</td> 
		</tr> 
		<tr> 
		<th scope="row">Adresse email</th> 
			<td><input name='email' type='text' size='45' value='<?php echo $email ?>' /></td> 
			<td>Votre adresse email.</td> 
		</tr> 
	</table> 
	
	<p class='submit'><input name='submit' type='submit' value='Envoyer' /> </p>
</form> 
<?php
}

function step2() {
    global $base, $wpdb; 
	
	$dbname  = stripslashes($_POST['dbname']); 
	$uname   = stripslashes($_POST['uname']); 
	$passwrd = stripslashes($_POST['pwd']); 
	$dbhost  = stripslashes($_POST['dbhost']); 
	$vhost   = stripslashes($_POST['vhost' ]); 
	$prefix  = 'wp_'; // Hardcoded

	$base = stripslashes( dirname( $_SERVER["SCRIPT_NAME"] ) );
	if( $base != "/")
		$base .= "/";

	// Test the db connection.
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);

	if (!file_exists('wp-config-sample.php'))
		die("Désolé, j'ai besoin d'un fichier wp-config-sample.php comme base de travail. Merci de renvoyer ce fichier sur votre installation de WordPress &micro;.");

	$wp_config_file = file('wp-config-sample.php');
	// We'll fail here if the values are no good.
	require_once('wp-includes/wp-db.php');
	printheader();

	$handle = fopen('wp-config.php', 'w');

	foreach ($wp_config_file as $line) {
		switch (trim( substr($line,0,16) )) {
			case "define('DB_NAME'":
				fwrite($handle, str_replace("wordpress", $dbname, $line));
				break;
			case "define('DB_USER'":
				fwrite($handle, str_replace("'username'", "'$uname'", $line));
				break;
			case "define('DB_PASSW":
				fwrite($handle, str_replace("'password'", "'$passwrd'", $line));
				break;
			case "define('DB_HOST'":
				fwrite($handle, str_replace("localhost", $dbhost, $line));
				break;
			case "define('VHOST',":
				fwrite($handle, str_replace("VHOSTSETTING", $vhost, $line));
				break;
			case '$table_prefix  =':
				fwrite($handle, str_replace('wp_', $prefix, $line));
				break;
			case '$base = \'BASE\';':
				fwrite($handle, str_replace('BASE', $base, $line));
				break;
			case "define('SECRET_K": 
			case "define('SECRET_S": 
			case "define('LOGGED_I": 
			case "define('AUTH_KEY": 
			case "define('SECURE_A":
				fwrite($handle, str_replace('put your unique phrase here', md5( mt_rand() ) . md5( mt_rand() ), $line));
				break;
			default:
				fwrite($handle, $line);
				break;
		}
	}
	fclose($handle);
	chmod('wp-config.php', 0644);
	define( 'VHOST', $vhost );
}

function step3() {
	global $wpdb, $current_site, $dirs, $wpmu_version;
	$base = stripslashes( dirname( $_SERVER["SCRIPT_NAME"] ) );
	if( $base != "/") {
		$base .= "/";
	} 
	$domain =   $wpdb->escape( $_POST[ 'basedomain' ] );
	$domain = str_replace( 'http://', '', $domain );
	if( substr( $domain, 0, 4 ) == 'www.' )
		$domain = substr( $domain, 4 );
	if( strpos( $domain, '/' ) )
		$domain = substr( $domain, 0, strpos( $domain, '/' ) );
	$email = $wpdb->escape( $_POST[ 'email' ] );
	if( $email == '' )
		die( 'Vous devez entrer une adresse email!' );

	// set up site tables
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'site_name', '" . $wpdb->escape( $_POST[ 'weblog_title' ] ) . "')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'admin_email', '".$email."')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'admin_user_id', '1')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'registration', 'none')" ); 
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'WPLANG', 'fr_FR')" );
	$wpdb->query( "INSERT INTO ".$wpdb->site." ( id, domain, path ) VALUES ( NULL, '$domain', '$base' )" );
	$wpdb->query( "INSERT INTO " . $wpdb->sitecategories . " ( cat_ID, cat_name, category_nicename, last_updated ) VALUES (1, 'Non class&eacute;', 'non-classe', NOW())" );
	$wpdb->query( "INSERT INTO " . $wpdb->sitecategories . " ( cat_ID, cat_name, category_nicename, last_updated ) VALUES (2, 'Blogoliste', 'blogoliste', NOW())" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'upload_filetypes', 'jpg jpeg png gif mp3 mov avi wmv midi mid pdf' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'blog_upload_space', '10' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'fileupload_maxk', '1500' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'site_admins', '" . serialize( array( 'admin' ) ) . "' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'allowedthemes', '" . serialize( array( 'classic' => 1, 'default' => 1 ) ) . "' )" ); 
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'illegal_names', '" . serialize( array(  "www", "web", "root", "admin", "main", "invite", "administrator" ) ) . "' )" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'welcome_email', 'Cher utilisateur :\n
\n
Votre nouveau blog SITE_NAME a été créé avec succès à l&#8217;adresse :\n
BLOG_URL\n
\n
Vous pouvez vous connecter au compte administrateur avec les informations suivantes :\n
\n
Identifiant : USERNAME\n
Mot de passe : PASSWORD\n
Connectez-vous ici : BLOG_URLwp-login.php\n
\n
Nous espérons que vous prendrez plaisir à bloguer.\n
Merci !\n
\n
--L'équipe WordPress\n')" );
	$wpdb->query( "INSERT INTO ".$wpdb->sitemeta." (meta_id, site_id, meta_key, meta_value) VALUES (NULL, 1, 'first_post', 'Bienvenue dans <a href=\"SITE_URL\">SITE_NAME</a>. Ceci est votre premier article. Modifiez-le ou effacez-le, puis lancez-vous&nbsp;!' )" );

	$weblog_title = stripslashes( $_POST[ 'weblog_title' ] );

	$pass = substr( md5( rand() ), 5, 12 );
	$user_id = wpmu_create_user( 'admin', $pass, $email);

	$current_site->domain = $domain;
	$current_site->path = $base;
	$current_site->site_name = ucfirst( $domain );

	wpmu_create_blog( $domain, $base, $weblog_title, $user_id, array( 'blog_public' => 1, 'public' => 1 ) ); 
	
	update_blog_option( 1, 'template', 'home');
	update_blog_option( 1, 'stylesheet', 'home');
	update_blog_option( 1, 'WPLANG', 'fr_FR');

	if( constant( 'VHOST' ) == 'yes' ) {
		update_blog_option( 1, 'permalink_structure', '/%year%/%monthnum%/%day%/%postname%/');
	} else {
		update_blog_option( 1, 'permalink_structure', '/blog/%year%/%monthnum%/%day%/%postname%/');
	}
	update_blog_option( 1, 'rewrite_rules', '');
	$msg = "Votre nouveau site WPmu a été créé à l'adresse:\nhttp://{$domain}{$base}\n\nDétails de connexion:\nIdentifiant: admin\nMot de passe: $pass\nConnexion: http://{$domain}{$base}wp-login.php\n";
	wp_mail( $email, "Votre nouveau site WPmu est prêt!", $msg, "From: wordpress@" . $_SERVER[ 'HTTP_HOST' ]  );
	?><h2>Installation terminée!</h2>
	<p>Félicitations! Votre <a href='http://<?php echo $domain . $base; ?>'>site WordPress &micro;</a> est configuré.</p>
	<p>Vous pouvez vous <a href='wp-login.php'>connecter</a> en utilisant l'identifiant "admin" et le mot de passe "<?php echo $pass; ?>"</p>
	<h3>Permissions des répertoires</h3>
	<p>N'oubliez pas de réinitialiser les permissions des dossiers suivants:<ul>
	<?php
	reset( $dirs );
	foreach( $dirs as $dir ) {
		echo "<li>$dir</li>";
	}
	?></ul></p>
	<p>Vous pouvez probablement utiliser la commande suivante pour réparer les permissions, mais vérifiez avec votre hébergeur pour être sur:<br /><code>chmod&nbsp;755&nbsp;<?php
	reset( $dirs );
	foreach( $dirs as $dir ) {
		echo "$dir&nbsp;";
	}
	?></code></p>
	<h3>Autres informations</h3>
	<p><ul><li>Si vous rencontrez un problème, merci de rechercher sur les forums de support de WordPress &micro; <a href='http://mu.wordpress.org/forums/'>Anglais</a> ou  <a href="http://wordpress-fr.net/support/">Français</a> où vous trouverez probablement la réponse à vos problèmes. N'oubliez pas d'effectuer une recherche avant d'écrire. Simple question de politesse.</li>
	<li>Vous trouverez également le trac de <a href='http://trac.mu.wordpress.org/'>WordPress &micro; (anglais)</a>. C'est notre gestionnaire de bugs.</li></ul></p>
	<p>Merci d'avoir installé WordPress &micro;!<br /><br />
	
	Donncha<br />
	Mainteneur de la version française: Amaury BALMER (amaury@wordpress-fr.net)<br />
	<code>wpmu version: <?php echo $wpmu_version ?></code></p>
	<?php
}

function nowww() {
	$nowww = str_replace( 'www.', '', $_POST[ 'basedomain' ] );
	?>
	<h1>Pas de WWW</h1>
	<p>WordPress &micro; supprime la chaine "www" depuis les adresses (URL) des blogs utilisant votre site. Il est toujours possible de visiter votre site avec le préfix "www" avec l'adresse suivante <em><?php echo $_POST[ 'basedomain' ] ?></em> mais aucun lien contenu dans cette page n'aura le préfix "www". Ils seront sous la forme : <?php echo $nowww ?>.</p>
	<p>La méthode préférée des plateformes de blogs est de ne pas utiliser le préfixe "www" pour disposer d'une adresse plus courte et plus simple.</p><p>Vous pouvez toujours utiliser "<?php echo $_POST[ 'basedomain' ] ?>" et les adresses comme "www.blog1.<?php echo $nowww; ?>" vers votre site et blogs mais après l'installation, les liens internes seront toujours au format: <?php echo $nowww ?>.</p>
	<p><a target='_blank' href="http://no-www.org/">no-www.org (en anglais)</a>, pour obtenir plus d'information pourquoi 'www.' n'est plus utile.</p>
	<p><form method='POST'>
	<input type='hidden' name='dbname' value='<?php echo $_POST[ 'dbname' ]; ?>' />
	<input type='hidden' name='uname' value='<?php echo $_POST[ 'uname' ]; ?>' />
	<input type='hidden' name='pwd' value='<?php echo $_POST[ 'pwd' ]; ?>' />
	<input type='hidden' name='dbhost' value='<?php echo $_POST[ 'dbhost' ]; ?>' />
	<input type='hidden' name='vhost' value='<?php echo $_POST[ 'vhost' ]; ?>' />
	<input type='hidden' name='weblog_title' value='<?php echo $_POST[ 'weblog_title' ]; ?>' />
	<input type='hidden' name='email' value='<?php echo $_POST[ 'email' ]; ?>' />
	<input type='hidden' name='action' value='step2' />
	<input type='hidden' name='basedomain' value='<?echo $nowww ?>' />
	<input type='submit' value='Continuer' />
	</form></p>
	<?php
}

$action = isset($_POST[ 'action' ]) ? $_POST[ 'action' ] : null; 
switch($action) {
	case "step2":
		if( substr( $_POST[ 'basedomain' ], 0, 4 ) == 'www.' ) {
			printheader();
			nowww();
			continue;
		}
		// get blog username
		// create wp-config.php 
		step2();
		// Install Blog!
		include_once('./wp-config.php');
		include_once('./wp-admin/includes/upgrade.php');
		// normalise hostname - no www.
		$_SERVER[ 'HTTP_HOST' ] = str_replace( 'www.', '', $_SERVER[ 'HTTP_HOST' ] );
		make_db_current_silent();
		populate_options();
		global $base; 
		do_htaccess( 'htaccess.dist', '.htaccess', $base, '');
		step3();
	break;
	default:
		// check that directories are writeable.
		// create wpmu-settings.php
		// get db auth info.
		printheader();
		if( step1() ) {
			printstep1form();
		}
	break;
}
?>
<br /><br />
<div style="text-align:center;">
<a href="http://mu.wordpress.org/">WordPress &micro;</a> | Forums de support: <a href="http://mu.wordpress.org/forums/">Anglais</a> | <a href="http://wordpress-fr.net/support/">Français</a>
</div>
</body>
</html>